Qt 5.6 | Qt D-Bus | C++ Classes | QDBusServer

Qt 5.6.2 Reference Documentation

# QDBusServer Class

The QDBusServer class provides peer-to-peer communication between processes on the same computer. More...

Header: | #include <QDBusServer>
qmake: | QT += dbus

- List of all members, including inherited members

## Public Functions

| QDBusServer(const QString &address, QObject *parent = Q_NULLPTR)
| QDBusServer(QObject *parent = Q_NULLPTR)
virtual | ~QDBusServer()
QString | address() const
bool | isAnonymousAuthenticationAllowed() const
bool | isConnected() const
QDBusError | lastError() const
void | setAnonymousAuthenticationAllowed(bool value)

## Signals

void | newConnection(const QDBusConnection &connection)

## Detailed Description

The QDBusServer class provides peer-to-peer communication between processes on the same computer.

## Member Function Documentation

### QDBusServer::QDBusServer(const QString &address, QObject *parent = Q_NULLPTR)

Constructs a QDBusServer with the given address, and the given parent.

### QDBusServer::QDBusServer(QObject *parent = Q_NULLPTR)

Constructs a QDBusServer with the given parent. The server will listen for connections in `/tmp` (on Unix systems) or on a TCP port bound to localhost (elsewhere).

### `[virtual]` QDBusServer::~QDBusServer()

Destructs a QDBusServer

### QString QDBusServer::address() const

Returns the address this server is associated with.

### bool QDBusServer::isAnonymousAuthenticationAllowed() const

Returns true if anonymous authentication is allowed.

This function was introduced in Qt 5.3.

See also setAnonymousAuthenticationAllowed().

### bool QDBusServer::isConnected() const

Returns `true` if this QDBusServer object is connected.

If it isn't connected, you need to call the constructor again.

### QDBusError QDBusServer::lastError() const

Returns the last error that happened in this server.

This function is provided for low-level code.

### `[signal]` void QDBusServer::newConnection(const QDBusConnection &connection)

This signal is emitted when a new client connection connection is established to the server.

### void QDBusServer::setAnonymousAuthenticationAllowed(bool value)

If value is set to true, an incoming connection can proceed even if the connecting client is not authenticated as a user.

By default, this value is false.

This function was introduced in Qt 5.3.

See also isAnonymousAuthenticationAllowed().